import { post, upload } from "@/request/axios.js";
export const getSafetyResponsibilityList = (params) =>
  post("/responsibility/listForSecurityResponsibility", params); // 岗位安全责任书列表

export const getSafetyResponsibilityUserList = (params) =>
  post("/responsibility/listForSafetyResponsibilityUser", params); // 用户岗位安全责任书列表
export const addResponsibilityView = (params) =>
  upload("/responsibility/add", params); // 添加 岗位安全责任书

export const editResponsibilityView = (params) =>
  upload("/responsibility/edit", params); // 修改 岗位安全责任书
export const infoResponsibilityView = (params) =>
  upload("/responsibility/goEdit", params); // 详情 岗位安全责任书

export const deleteResponsibilityView = (params) =>
  post("/responsibility/delete", params); // 删除 岗位安全责任书
